Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007189OCamltools (ocaml{lex,yacc,dep,debug,...})public2016-03-21 13:532017-09-24 17:33
Reporterdbuenzli 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.3 
Target Version4.03.1+devFixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007189: #show_module and module aliases
DescriptionIt seems that module aliases can significantly reduce the usefullness of #show_module in the toplevel. I think that #show_module should show all the equations and eventual definition in one go.

See http://stackoverflow.com/questions/36118521/show-module-tediousness-in-ocaml-utop [^]
for an example.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015565)
gasche (administrator)
2016-03-21 20:37

I proposed an implementation at GPR#520. What do you think?

  https://github.com/ocaml/ocaml/pull/520 [^]
(0015566)
dbuenzli (reporter)
2016-03-21 20:42

Looks good.
(0016022)
gasche (administrator)
2016-06-30 13:03

The proposed GPR is now merged in trunk.

Consider the input:

module A = struct let x = 1 end;;
module B = struct module M = A end;;
module C = B.M;;
module D = C;;
#show D;;

The output is as follows:

module D = C
module D = B.M
module D = A
module D : sig val x : int end

This is not perfect -- in particular I would like an explicit mention after the first line that the others are followed aliases -- but hopefully it already improves usability. It is hard to do much more without invasive code changes.

Anyone, please feel free to provide feedback on this feature so that we can improve it in the future.

- Issue History
Date Modified Username Field Change
2016-03-21 13:53 dbuenzli New Issue
2016-03-21 20:30 gasche Status new => acknowledged
2016-03-21 20:37 gasche Note Added: 0015565
2016-03-21 20:42 dbuenzli Note Added: 0015566
2016-03-24 19:23 doligez Target Version => 4.03.1+dev
2016-06-30 13:03 gasche Note Added: 0016022
2016-06-30 13:03 gasche Status acknowledged => resolved
2016-06-30 13:03 gasche Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-06-30 13:03 gasche Resolution open => fixed
2016-06-30 13:03 gasche Assigned To => gasche
2016-12-07 16:37 doligez Category OCaml tools (ocaml{lex,yacc,dep,browser,debug}) => OCaml tools (ocaml{lex,yacc,dep,debug})
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})
2017-09-24 17:33 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker